## org.apache.cassandra.cql3.statements
Class DeleteStatement

    java.lang.Object
      org.apache.cassandra.cql3.statements.ParsedStatement
          org.apache.cassandra.cql3.statements.CFStatement
              org.apache.cassandra.cql3.statements.ModificationStatement
                  org.apache.cassandra.cql3.statements.DeleteStatement

All Implemented Interfaces:
  CQLStatement

    public class DeleteStatement

extends ModificationStatement

A `DELETE` parsed from a CQL query statement.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement
`ParsedStatement.Prepared`

Field Summary

Fields inherited from class org.apache.cassandra.cql3.statements.ModificationStatement
`cLevel, defaultConsistency, timestamp, timeToLive`

Fields inherited from class org.apache.cassandra.cql3.statements.CFStatement
`cfName`

Constructor Summary
`DeleteStatement(CFName name, java.util.List<ColumnIdentifier> columns, java.util.List<Relation> whereClause, Attributes attrs)`

Method Summary
`java.util.List<IMutation>` `getMutations(ClientState clientState, java.util.List<java.nio.ByteBuffer> variables)` Convert statement into a list of mutations to apply on the server
`RowMutation` `mutationForKey(CFDefinition cfDef, ClientState clientState, java.nio.ByteBuffer key, ColumnNameBuilder builder, java.util.List<java.nio.ByteBuffer> variables)`
`ParsedStatement.Prepared` `prepare()`
`ParsedStatement.Prepared` `prepare(CFDefinition.Name[] boundNames)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.cassandra.cql3.statements.ModificationStatement
`checkAccess, execute, getConsistencyLevel, getTimestamp, getTimeToLive, isSetConsistencyLevel, isSetTimestamp, validate`

Methods inherited from class org.apache.cassandra.cql3.statements.CFStatement
`columnFamily, keyspace, prepareKeyspace`

Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement
`getBoundsTerms, setBoundTerms`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.cassandra.cql3.CQLStatement
`getBoundsTerms`

Constructor Detail

### DeleteStatement

    public DeleteStatement(CFName name,
                           java.util.List<ColumnIdentifier> columns,
                           java.util.List<Relation> whereClause,
                           Attributes attrs)

Method Detail

### getMutations

    public java.util.List<IMutation> getMutations(ClientState clientState,
                                                  java.util.List<java.nio.ByteBuffer> variables)
                                           throws InvalidRequestException

  Description copied from class: `ModificationStatement`
  Convert statement into a list of mutations to apply on the server

  Specified by:
    `getMutations` in class `ModificationStatement`
  Parameters:
    `clientState` - current client status
    `variables` - value for prepared statement markers
  Returns:
    list of the mutations
  Throws:
    `InvalidRequestException` - on invalid requests

### mutationForKey

    public RowMutation mutationForKey(CFDefinition cfDef,
                                      ClientState clientState,
                                      java.nio.ByteBuffer key,
                                      ColumnNameBuilder builder,
                                      java.util.List<java.nio.ByteBuffer> variables)
                               throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### prepare

    public ParsedStatement.Prepared prepare(CFDefinition.Name[] boundNames)
                                     throws InvalidRequestException

  Specified by:
    `prepare` in class `ModificationStatement`
  Throws:
    `InvalidRequestException`

### prepare

    public ParsedStatement.Prepared prepare()
                                     throws InvalidRequestException

  Specified by:
    `prepare` in class `ParsedStatement`
  Throws:
    `InvalidRequestException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2013 The Apache Software Foundation